Skip to main content
GET
/
v1
/
webhooks
List Webhook Subscriptions
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "description": "<string>",
      "event_types": [],
      "sequence_template_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "secret_prefix": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "total_pages": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
size
integer
default:10

Number of items per page.

Required range: 1 <= x <= 100

Response

200 - application/json

Successful Response

items
WebhookSubscriptionOutput · object[]
required

Records on this page.

total_count
integer
required

Total number of records matching the query.

total_pages
integer
required

Total number of pages.

has_more
boolean
required

Whether more pages remain after the current one.